/*
    NSPasteboard_PPUtilities.h

    Copyright 2013-2016 Josh Freeman
    http://www.twilightedge.com

    This file is part of PikoPixel for Mac OS X and GNUstep.
    PikoPixel is a graphical application for drawing & editing pixel-art images.

    PikoPixel is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License version 3,
    as published by the Free Software Foundation.

    PikoPixel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#import <Cocoa/Cocoa.h>


@interface NSPasteboard (PPUtilities)

+ (bool) ppPasteboardHasBitmap;

+ (bool) ppGetImageBitmap: (NSBitmapImageRep **) returnedImageBitmap
            maskBitmap: (NSBitmapImageRep **) returnedMaskBitmap
            bitmapOrigin: (NSPoint *) returnedBitmapOrigin
            canvasSize: (NSSize *) returnedCanvasSize
            andOpacity: (float *) returnedOpacity;

+ (void) ppSetImageBitmap: (NSBitmapImageRep *) imageBitmap
            maskBitmap: (NSBitmapImageRep *) maskBitmap
            bitmapOrigin: (NSPoint) bitmapOrigin
            canvasSize: (NSSize) canvasSize
            andOpacity: (float) opacity;

+ (bool) ppGetImageBitmap: (NSBitmapImageRep **) returnedImageBitmap;

+ (void) ppSetImageBitmap: (NSBitmapImageRep *) imageBitmap;

@end
