/*
    PPToolType.h

    Copyright 2013-2016 Josh Freeman
    http://www.twilightedge.com

    This file is part of PikoPixel for Mac OS X and GNUstep.
    PikoPixel is a graphical application for drawing & editing pixel-art images.

    PikoPixel is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License version 3,
    as published by the Free Software Foundation.

    PikoPixel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


typedef enum
{
    kPPToolType_Pencil,
    kPPToolType_Eraser,
    kPPToolType_Fill,
    kPPToolType_Line,
    kPPToolType_Rect,
    kPPToolType_Oval,
    kPPToolType_FreehandSelect,
    kPPToolType_RectSelect,
    kPPToolType_MagicWand,
    kPPToolType_ColorSampler,
    kPPToolType_Move,
    kPPToolType_Magnifier,

    // add new PPToolType values above this line

    kNumPPToolTypes

} PPToolType;


static inline bool PPToolType_IsValid(PPToolType toolType)
{
    return (((unsigned) toolType) < kNumPPToolTypes) ? YES : NO;
}

static inline bool PPToolType_IsDrawTool(PPToolType toolType)
{
    return ((toolType >= kPPToolType_Pencil) && (toolType <= kPPToolType_Oval)) ? YES : NO;
}
