/*
    PPUIColors_Panels.h

    Copyright 2013-2016 Josh Freeman
    http://www.twilightedge.com

    This file is part of PikoPixel for Mac OS X and GNUstep.
    PikoPixel is a graphical application for drawing & editing pixel-art images.

    PikoPixel is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License version 3,
    as published by the Free Software Foundation.

    PikoPixel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#import <Cocoa/Cocoa.h>
#import "PPManagedColor.h"


// Popup Panel backgrounds

#define kUIColor_ToolsPopupPanel_Background                                                 \
            [NSColor ppManagedColor_sRGBColorWithRed: 0.0f green: 0.25f blue: 0.0f alpha: 0.85f]

#define kUIColor_ColorPickerPopupPanel_Background                                           \
            [NSColor ppManagedColor_sRGBColorWithWhite: 0.2f alpha: 0.85f]

#define kUIColor_SamplerImagePopupPanel_Background                                          \
            [NSColor ppManagedColor_sRGBColorWithWhite: 0.2f alpha: 0.95f]

#define kUIColor_LayerControlsPopupPanel_Background                                         \
            [NSColor ppManagedColor_sRGBColorWithRed: 0.32f green: 0.0f blue: 0.0f alpha: 0.85f]

#define kUIColor_NavigatorPopupPanel_Background                                             \
            [NSColor ppManagedColor_sRGBColorWithRed: 0.0f green: 0.0f blue: 0.26f alpha: 0.85f]

#define kUIColor_ScreencastPopupPanel_Background                                            \
            [NSColor ppManagedColor_sRGBColorWithRed: 0.92f green: 0.96f blue: 1.0f alpha: 0.95f]

#define kUIColor_DefaultPopupPanelBackground                                                \
            [NSColor ppManagedColor_sRGBColorWithWhite: 0.0f alpha: 0.85f]


// Tools Panel & Popup Panel

#define kUIColor_ToolsPanel_ActiveToolCellGradientInnerColor                                \
            [NSColor ppManagedColor_sRGBColorWithRed: 0.65f green: 0.65f blue: 0.65f alpha: 1.0f]

#define kUIColor_ToolsPanel_ActiveToolCellGradientOuterColor                                \
            [NSColor ppManagedColor_sRGBColorWithRed: 0.54f green: 0.54f blue: 0.50f alpha: 1.0f]

#define kUIColor_ToolsPanel_InactiveToolCellColor                                           \
            [NSColor ppManagedColor_sRGBColorWithWhite: 0.92f alpha: 1.0f]


// Sampler Image Popup Panel

#define kUIColor_SamplerImagePopupPanel_ColorWellOutline                                    \
            [NSColor ppManagedColor_sRGBColorWithWhite: 0.62f alpha: 1.0f]


// Sampler Image Panel

#define kUIColor_SamplerImagePanel_ColorWellOutline                                         \
            [NSColor ppManagedColor_sRGBColorWithWhite: 0.51f alpha: 1.0f]

